Loading...
API Reference
Checkout

Endpoints to managing checkout-related requests

# Endpoints
get
/checkout/{cart_id}/qr
Generate a QR code that redirects a buyer to checkout
get
/checkout/{cart_id}/qr.png
Generate a QR code that redirects a buyer to checkout
get
/checkout/{cart_id}/qr.svg
Generate a QR code that redirects a buyer to checkout
post
/checkout/begin/{cart_id}
Begins a checkout session from a cart
post
/checkout/shipping
Add or update shipping information for a checkout session
post
/checkout/shipping/method
Select a shipping method for a checkout session
post
/checkout/cst
Retrieve a short-lived cst for a checkout session
get
Get Checkout QR Code

Generate a QR code that redirects a buyer to checkout

Parameters
cart_id
string
required
Template Cart ID (ULID format)
get
/checkout/{cart_id}/qr
shell
javascript
go
java
php
{} Response
200
400
401
403
404
500
get
Get Checkout QR Code (PNG)

Generate a QR code that redirects a buyer to checkout

Parameters
cart_id
string
required
Template Cart ID (ULID format)
get
/checkout/{cart_id}/qr.png
shell
javascript
go
java
php
{} Response
200
400
401
403
404
500
get
Get Checkout QR Code (SVG)

Generate a QR code that redirects a buyer to checkout

Parameters
cart_id
string
required
Template Cart ID (ULID format)
get
/checkout/{cart_id}/qr.svg
shell
javascript
go
java
php
{} Response
200
400
401
403
404
500
post
Begin Checkout

Begins a checkout session from a cart

Parameters
cart_id
string
required
Template Cart ID (UUID format)
post
/checkout/begin/{cart_id}
shell
javascript
go
java
php
{} Response
200
400
401
403
422
500
post
Set Shipping Address

Add or update shipping information for a checkout session

Request body
buyer_info
object
buyer_info parameter
buyer_info.address1
string
Primary street address
buyer_info.address2
string
Secondary address (apartment, suite, unit, etc.)
buyer_info.city
string
City name
buyer_info.country_code
string
ISO 3166-1 alpha-2 country code (e.g., 'US', 'CA')
buyer_info.email
string
Customer's email address
buyer_info.first_name
string
Customer's first name
buyer_info.last_name
string
Customer's last name
buyer_info.phone
string
Customer's phone number with country code
buyer_info.postal_code
string
Postal/ZIP code
buyer_info.province_code
string
State/province code (e.g., 'NY', 'CA', 'TX')
cart_id
string
cart_id parameter
payment_intent_id
string
payment_intent_id parameter
post
/checkout/shipping
shell
javascript
go
java
php
{} Response
200
400
401
403
422
500
post
Set Shipping Method

Select a shipping method for a checkout session

Request body
cart_id
string
required
cart_id parameter
shipping_method_id
integer
required
shipping_method_id parameter
post
/checkout/shipping/method
shell
javascript
go
java
php
{} Response
200
400
401
403
500
post
Mint a Customer Session Token

Retrieve a short-lived cst for a checkout session

Request body
address1
string
Primary street address
address2
string
Secondary address (apartment, suite, unit, etc.)
city
string
City name
country_code
string
ISO 3166-1 alpha-2 country code (e.g., 'US', 'CA')
email
string
Customer's email address
first_name
string
Customer's first name
last_name
string
Customer's last name
phone
string
Customer's phone number with country code
postal_code
string
Postal/ZIP code
province_code
string
State/province code (e.g., 'NY', 'CA', 'TX')
post
/checkout/cst
shell
javascript
go
java
php
{} Response
200
400
401
500
get
/checkout/{cart_id}/qr
shell
javascript
go
java
php
{} Response
200
400
401
403
404
500